// Setting up the svg element for D3 to draw in
let width = 600, height = 500

let svg = d3.select("body").append("svg")
    .attr("width", width)
    .attr("height", height)

// A projection tells D3 how to orient the GeoJSON features
let europeProjection = d3.geoMercator()
	.center([ 13, 52 ])
  .scale([ width / 1.5 ])
  .translate([ width / 2, height / 2 ])

// The path generator uses the projection to convert the GeoJSON
// geometry to a set of coordinates that D3 can understand
let pathGenerator = null

// URL to the GeoJSON itself
let geoJsonUrl = ''

	pathGenerator = d3.geoPath().projection(europeProjection)
  geoJsonUrl = "https://gist.githubusercontent.com/Rinoj-Gautam/a5a3070bcef34ee4d481670086c9ad05/raw/53649f8507c3b61f22f41567cce6082d884819db/japan.json"

// Request the GeoJSON
d3.json(geoJsonUrl).then(geojson => {
	// Tell D3 to render a path for each GeoJSON feature
  svg.selectAll("path")
    .data(geojson.features)
    .enter()
    .append("path")
    .attr("d", pathGenerator) // This is where the magic happens
    .attr("stroke", "grey") // Color of the lines themselves
    .attr("fill", "white") // Color uses to fill in the lines
})